Skip to main content
GET
/
v1
/
prediction_markets
/
trade_feed
List recent trades
curl --request GET \
  --url http://127.0.0.1:3003/v1/prediction_markets/trade_feed \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "eventExternalId": "<string>",
      "id": "<string>",
      "marketExternalId": "<string>",
      "marketSlug": "<string>",
      "notional": 123,
      "occurredAt": "2023-11-07T05:31:56Z",
      "outcome": "<string>",
      "outcomeIndex": 123,
      "outcomeLabel": "<string>",
      "price": 123,
      "providerTradeId": "<string>",
      "side": "<string>",
      "size": 123,
      "traderExternalId": "<string>"
    }
  ],
  "filters": {
    "limit": 250
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.monetary.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Return the latest persisted standardized trades from the standalone trade ingestion service.
curl -sS "$MONETARY_API_BASE_URL/v1/prediction_markets/trade_feed?limit=25" \
  -H "Authorization: Bearer $MONETARY_API_TOKEN" \
  -H "Accept: application/json"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:32

Maximum records returned.

Required range: 1 <= x <= 500

Response

Recent trades

data
object[]
required
filters
object
required